Bug 446781 - gnome-keyring-daemon is sloppy with shell variables
gnome-keyring-daemon is sloppy with shell variables
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 19:50 EDT by Carl Roth
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:35:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2008-05-15 19:50:44 EDT
Description of problem:

I apologize in advance for the wording of the summary -- I couldn't think of
anything less direct that would fit on one line.

When I launch gnome-keyring-daemon in daemon mode (--daemonize) it emits a
couple of shell variables to aid in session setup.  The output that it generates
is incomplete and its layout is susceptible common shell coding errors.

* variable bindings are printed one per line, with terminating semicolons after
statements.

  Relying on whitespace for generated shell code can lead to problems if the
code has to be passed around on the command-line.

* variable bindings for ssh-agent mode (--components=ssh) leave out
SSH_AGENT_PID.  In this case it's just GNOME_KEYRING_PID, but it would be better
if shell scripts didn't have to special-case this.

* variables bindings are local (not exported).

  Gnome-keyring-daemon is designed for whole-session use; its configuration
settings should be automatically exported to sub-processes.

Version-Release number of selected component (if applicable):

gnome-keyring-2.22.1-1.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Here's that the output should look like in order to be less error-prone and more
consistent with the behavior of ssh-agent itself:

SSH_AGENT_PID=42; export SSH_AGENT_PID;
SSH_AUTH_SOCK=/tmp/foo/ssh; export SSH_AUTH_SOCK;
GNOME_KEYRING_PID=42; export GNOME_KEYRING_PID;
GNOME_KEYRING_SOCKET=/tmp/foo/socket; export GNOME_KEYRING_SOCKET;
Comment 1 Bug Zapper 2009-06-09 20:52:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 12:35:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.